Skip to main content
GET
/
api2
/
v1
/
xmlAssistantProfiles
Get XML assistant profiles for organization
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/xmlAssistantProfiles \
  --header 'Authorization: <api-key>'
{
  "content": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "description": "<string>",
      "name": "<string>",
      "uid": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      }
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

name
string

Filter by profile name

description
string

Filter by profile description

createdBy
string

Filter by creator user UID

updatedBy
string

Filter by last updater user UID

createdAt
string

Filter by creation date (ISO 8601 format)

updatedAt
string

Filter by last update date (ISO 8601 format)

Full-text search across name and description

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 1000, default 50

Required range: 1 <= x <= 1000
sort
enum<string>

Sort field

Available options:
name,
createdAt,
createdBy,
updatedAt,
updatedBy
order
enum<string>

Sort direction

Available options:
asc,
desc

Response

OK

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
sort
object
totalElements
integer<int32>
totalPages
integer<int32>